<fieldset>
    <div class="panel">
        <div class="panel-heading">Refund</div>

        <form  method="POST">

            <div class="form-group clearfix {if isset($errors) && array_key_exists('refund_amount', $errors) }has-error{/if}">
                <label class="control-label col-lg-2">Refund Amount*</label>
                <div class="col-lg-4">
                    <div class="input-group">
                        <span class="input-group-addon">{$currency_iso_code}</span>
                        <input type="number" id="refund_amount" class="form-control" name="refund_amount" placeholder="Enter an amount between {$min_refund_amount} and {$max_refund_amount}" min="{$min_refund_amount}" max="{$max_refund_amount}" value="{if isset($input) && array_key_exists('refund_amount', $input) }{$input['refund_amount']}{else}{$max_refund_amount}{/if}" step="0.01" required />
                    </div>
                    {if isset($errors) && array_key_exists('refund_amount', $errors) }
                        {foreach $errors['refund_amount'] as $error}
                            <span class="help-block">{$error}</span>
                        {/foreach}
                    {/if}
                </div>
            </div>

            <div class="form-group clearfix {if isset($errors) && array_key_exists('number_of_pieces', $errors) }has-error{/if}">
                <label class="control-label col-lg-2">Number of Pieces*</label>
                <div class="col-lg-4">
                    <input type="number" id="number_of_pieces" class="form-control" name="number_of_pieces" placeholder="Enter a number between {$min_number_of_pieces} and {$max_number_of_pieces}" min="{$min_number_of_pieces}" max="{$max_number_of_pieces}" value="{if isset($input) && array_key_exists('number_of_pieces', $input) }{$input['number_of_pieces']}{/if}" required />
                    {if isset($errors) && array_key_exists('number_of_pieces', $errors) }
                        {foreach $errors['number_of_pieces'] as $error}
                            <span class="help-block">{$error}</span>
                        {/foreach}
                    {/if}
                </div>
            </div>

            <div class="form-group clearfix {if isset($errors) && array_key_exists('reason_for_refund', $errors) }has-error{/if}">
                <label class="control-label col-lg-2">Reason for Refund</label>
                <div class="col-lg-4">
                    <textarea rows="3" id="reason_for_refund" name="reason_for_refund" placeholder="Enter a reason for the refund" maxLength="150">{if isset($input) && array_key_exists('reason_for_refund', $input) }{$input['reason_for_refund']}{/if}</textarea>
                    {if isset($errors) && array_key_exists('reason_for_refund', $errors) }
                        {foreach $errors['reason_for_refund'] as $error}
                            <span class="help-block">{$error}</span>
                        {/foreach}
                    {/if}
                </div>
            </div>

            <div class="form-group clearfix"></div>

            <div class="panel-footer">
                <input class="btn btn-default pull-right" type="submit" name="truevo_refund_form" value="Refund via Truevo Gateway" />
            </div>

        </form>

    </div>
</fieldset