{extends "$layout"}
{block name='javascript_head'}
    <script src="https://applepay.cdn-apple.com/jsapi/v1/apple-pay-sdk.js" type="text/javascript"></script>
{/block}
{block name="content"}
  <section>
    <div id="truevo_form_container"></div>

    <form class="truevo-cancel-form" action="{$cancelUrl|unescape nofilter}" method="GET">
        {foreach $cancelUrlQueryParams as $name => $value}
            <input type="hidden" name="{$name}" value="{$value}" />
        {/foreach}
        <button type="submit" id="truevo_cancel_button" class="truevo-cancel-button">Cancel</button>
    </form>

    <script src="{$jsSrc}" type="text/javascript"></script>
    <script type="text/javascript">
        openCheckout();

        function openCheckout () {
            const configuration = JSON.parse('{$configuration|unescape nofilter}');

            TruevoCheckout.initialize(configuration);
            const truevoCheckout = TruevoCheckout.mount('#truevo_form_container');
            truevoCheckout.addEventListener('loadCompleted', res => {
                console.log('======== Payment Widget Loaded ==========');
            });
            truevoCheckout.addEventListener('loadFailed', res => {
                console.log('======== Payment Widget Failed To Load ==========');
            });
            truevoCheckout.addEventListener('transactionCompleted', res => {
                postToCallback(res.detail.transactionInfo, configuration);
            });
            truevoCheckout.addEventListener('transactionDeclined', res => {
                postToCallback(res.detail.transactionInfo, configuration);
            });
            truevoCheckout.addEventListener('transactionFailed', res => {
                postToCallback(res.detail.transactionInfo, configuration);
            });
            truevoCheckout.addEventListener('payButtonClicked', res => {
                document.getElementById("truevo_cancel_button").disabled = true;
            });
        }

        function buildTransactionInfoParams(transactionInfo, widgetConfiguration) {
            if (typeof transactionInfo === 'undefined') {
                return {
                    transactionType: widgetConfiguration.transactionType,
                    rrn: null,
                    transactionId: null,
                    transactionStatus: null,
                    responseCode: null,
                    reasonDescription: null,
                    merchantReference: widgetConfiguration.transaction.merchantReference
                }
            }

            return {
                transactionType: widgetConfiguration.transactionType,
                rrn: transactionInfo.rrn,
                transactionId: transactionInfo.transactionId,
                transactionStatus: transactionInfo.transactionStatus,
                responseCode: transactionInfo.responseCode,
                reasonDescription: typeof transactionInfo.reasonDescription === 'undefined' ? null : transactionInfo.reasonDescription,
                merchantReference: transactionInfo.merchantReference
            }
        }

        function postToCallback(transactionInfo, fallbackReference) {
            let params = buildTransactionInfoParams(transactionInfo, fallbackReference);

            const form = document.createElement('form');
            form.method = 'POST';
            form.action = '{$callbackUrl|unescape nofilter}';

            for (const key in params) {
                if (params.hasOwnProperty(key)) {
                    const hiddenField = document.createElement('input');
                    hiddenField.type = 'hidden';
                    hiddenField.name = key;
                    hiddenField.value = params[key];

                    form.appendChild(hiddenField);
                }
            }

            document.body.appendChild(form);
            form.submit();
        }
    </script>
  </section>
{/block}