{if isset($confirmation)}
  <div class="alert alert-success">Settings updated</div>
{/if}

<fieldset>
  <h2>Configuration</h2>
  <div class="panel">
    <div class="panel-heading">
      <legend><i class="icon-gear"></i>Truevo Settings</legend>
    </div>
    <form action="" method="post">

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_ENABLE_PAYMENT_OPTION">Enable Truevo Payments:</label>
        <div class="col-lg-9">
          <span class="form-check fixed-width-lg">
            <input type="checkbox" name="TRUEVO_ENABLE_PAYMENT_OPTION" class="form-check-input" id="TRUEVO_ENABLE_PAYMENT_OPTION" value="1" {if $TRUEVO_ENABLE_PAYMENT_OPTION eq 1}checked{/if}>
            <label class="form-check-label">Enable Truevo Gateway</label>
          </span>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2">Payment Method Title:</label>
        <div class="col-lg-4">
          <input type="text" id="TRUEVO_TITLE" name="TRUEVO_TITLE" value="{$TRUEVO_TITLE}"/>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2">Payment Method Description:</label>
        <div class="col-lg-4">
          <input type="text" id="TRUEVO_DESC" name="TRUEVO_DESC" value="{$TRUEVO_DESC}"/>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2">Widget Theme:</label>
        <div class="col-lg-2">
          <select id="TRUEVO_WIDGET_THEME" name="TRUEVO_WIDGET_THEME">
            {if isset($widget_themes)}
              {foreach $widget_themes as $key => $value}
                <option value="{$key}" {if $TRUEVO_WIDGET_THEME eq $key || empty($TRUEVO_WIDGET_THEME) && $key === "card" }selected{/if}>{$value}</option>
              {/foreach}
            {/if}
          </select>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2">Form Language:</label>
        <div class="col-lg-2">
          <select id="TRUEVO_WIDGET_LANGUAGE" name="TRUEVO_WIDGET_LANGUAGE">
            {if isset($form_lang)}
              {foreach $form_lang as $key => $value}
                <option value="{$key}" {if $TRUEVO_WIDGET_LANGUAGE eq $key || empty($TRUEVO_WIDGET_LANGUAGE) && $key === "EN" }selected{/if}>{$value}</option>
              {/foreach}
            {/if}
          </select>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_SHOW_LOGO">Show Truevo Logo:</label>
        <div class="col-lg-9">
          <span class="form-check fixed-width-lg">
            <input type="checkbox" name="TRUEVO_SHOW_LOGO" class="form-check-input" id="TRUEVO_SHOW_LOGO" value="1" {if $TRUEVO_SHOW_LOGO eq 1}checked{/if}>
            <label class="form-check-label">Enable to show Truevo logo</label>
          </span>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_TEST_MODE">Test Mode:</label>
        <div class="col-lg-9">
          <span class="form-check fixed-width-lg">
            <input type="checkbox" name="TRUEVO_TEST_MODE" class="form-check-input" id="TRUEVO_TEST_MODE" value="1" {if $TRUEVO_TEST_MODE eq 1}checked{/if}>
            <label class="form-check-label">Enable test mode</label>
          </span>
        </div>
      </div>

      <div id="MERCHANT_DETAILS_TEST" {if $TRUEVO_TEST_MODE eq 0}class="hidden"{/if}>
        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Test Merchant ID (mid):</label>
          <div class="col-lg-2">
            <input type="text" id="TRUEVO_TEST_MID" name="TRUEVO_TEST_MID" value="{$TRUEVO_TEST_MID}"/>
          </div>
        </div>

        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Test Merchant ID (tid):</label>
          <div class="col-lg-2">
            <input type="text" id="TRUEVO_TEST_TID" name="TRUEVO_TEST_TID" value="{$TRUEVO_TEST_TID}"/>
          </div>
        </div>
      </div>

      <div id="MERCHANT_DETAILS_PRODUCTION" {if $TRUEVO_TEST_MODE eq 1}class="hidden"{/if}>
        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Production Merchant ID (mid):</label>
          <div class="col-lg-2">
            <input type="text" id="TRUEVO_PROD_MID" name="TRUEVO_PROD_MID" value="{$TRUEVO_PROD_MID}"/>
          </div>
        </div>

        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Production Merchant ID (tid):</label>
          <div class="col-lg-2">
            <input type="text" id="TRUEVO_PROD_TID" name="TRUEVO_PROD_TID" value="{$TRUEVO_PROD_TID}"/>
          </div>
        </div>
      </div>

      <div id="AUTH_TOKEN_TEST" {if $TRUEVO_TEST_MODE eq 0}class="hidden"{/if}>
        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Test Authentication Token:</label>
          <div class="col-lg-5">
            <input type="text" id="TRUEVO_TEST_AUTH_TOKEN" name="TRUEVO_TEST_AUTH_TOKEN" value="{$TRUEVO_TEST_AUTH_TOKEN}"/>
          </div>
        </div>
      </div>

      <div id="AUTH_TOKEN_PRODUCTION" {if $TRUEVO_TEST_MODE eq 1}class="hidden"{/if}>
        <div class="form-group clearfix">
          <label class="control-label col-lg-2">Production Authentication Token:</label>
          <div class="col-lg-5">
            <input type="text" id="TRUEVO_PROD_AUTH_TOKEN" name="TRUEVO_PROD_AUTH_TOKEN" value="{$TRUEVO_PROD_AUTH_TOKEN}"/>
          </div>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_ENABLE_PREAUTH">Enable Pre-Authorisation:</label>
        <div class="col-lg-9">
          <span class="form-check fixed-width-lg">
            <input type="checkbox" name="TRUEVO_ENABLE_PREAUTH" class="form-check-input" id="TRUEVO_ENABLE_PREAUTH" value="1" {if $TRUEVO_ENABLE_PREAUTH eq 1}checked{/if}>
            <label class="form-check-label">Enables the pre-authorisation and capture payment mode</label>
          </span>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_ENABLE_TOKENIZATION">Enable Tokenisation:</label>
        <div class="col-lg-9">
          <span class="form-check fixed-width-lg">
            <input type="checkbox" name="TRUEVO_ENABLE_TOKENIZATION" class="form-check-input" id="TRUEVO_ENABLE_TOKENIZATION" value="1" {if $TRUEVO_ENABLE_TOKENIZATION eq 1}checked{/if}>
            <label class="form-check-label">Let's your customers safely save their card details for repeat purchases</label>
          </span>
        </div>
      </div>
      
      <div class="form-group clearfix">
        <label class="control-label col-lg-2">CSS Styles:</label>
        <div class="col-lg-5">
          <textarea wrap="off" rows="5" id="TRUEVO_CSS_STYLES" name="TRUEVO_CSS_STYLES">{$TRUEVO_CSS_STYLES}</textarea>
          <small>Custom CSS for widget.</small>
        </div>
      </div>

      <div class="form-group clearfix">
        <label class="control-label col-lg-2" for="TRUEVO_DEBUG_LOGGING">Debug Log:</label>
        <div class="col-lg-9">
          <span class="form-check clearfix fixed-width-lg">
            <input type="checkbox" name="TRUEVO_DEBUG_LOGGING" class="form-check-input" id="TRUEVO_DEBUG_LOGGING" value="1" {if $TRUEVO_DEBUG_LOGGING eq 1}checked{/if}>
            <label class="form-check-label">Enable logging</label>
          </span>
          <small>Log details are stored in <code>{$debug_log_path}</code></small>
        </div>
      </div>

      <div class="form-group clearfix"></div>
      <div class="panel-footer">
        <input class="btn btn-default pull-right" type="submit" name="truevo_pc_form" value="Save" />
      </div>
    </form>
  </div>
</fieldset>

<script type="text/javascript">
  $(function() {
    // MID & TID
    let testMerchantDetailsGroup = $("#MERCHANT_DETAILS_TEST");
    let productionMerchantDetailsGroup = $("#MERCHANT_DETAILS_PRODUCTION");

    // AUTH TOKEN
    let testAuthToken = $("#AUTH_TOKEN_TEST");
    let productionAuthToken = $("#AUTH_TOKEN_PRODUCTION");

    $("input[name='TRUEVO_TEST_MODE']").change(function() {
      if ($(this).is(":checked")) {
        // Test mode enabled
        productionMerchantDetailsGroup.addClass("hidden");
        testMerchantDetailsGroup.removeClass("hidden");

        productionAuthToken.addClass("hidden");
        testAuthToken.removeClass("hidden");
      } else {
        // Production mode enabled
        testMerchantDetailsGroup.addClass("hidden");
        productionMerchantDetailsGroup.removeClass("hidden");

        testAuthToken.addClass("hidden");
        productionAuthToken.removeClass("hidden");
      }
    });
  });
</script>